Commit b26a2184 authored by Didier Raboud's avatar Didier Raboud

Imported Upstream version 3.0.2-20080211

parent e6e717ec
2008-01-29 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-perl-data.c: Added "<patents>" tag to driver entries. Drivers
which are free software but contain (possibly) patented algorithms
(like JBIG compression) should be marked with this tag to warn users
about the patent issues when auto-downloading the driver.
2007-12-13 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-perl-data.c: Added "<group>" tag to driver entries. Drivers
which differ only by their locales ("<locales>" tag) should have the
same "<group>" tags. If the user queries a driver giving a locale
he gets only the best matching from each group.
2007-12-12 Till Kamppeter <till.kamppeter@gmail.com>
* lib/Foomatic/DB.pm: Allow localized queries by adding a "language"
field to the data structure and calling foomatic-perl-data with
an appropriate "-l" option.
* foomatic-perl-data.c: Fixed "-l" option, with "-l" the debug mode
was always activated.
2007-12-11 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-perl-data.c: Added new XML tags "<licensetext>" (full
text of the license), "<locales>" (locales for which this driver
is recommended), "<requires>" (drivers which are required to be
on the system to run this driver), and "<packages>" (explicit
listing of downloadable package files). They were introduced to
fulfill demands of the printer manufacturers.
Allow internationalization in the "<license>", "<supplier>", and
"<supportcontact>" fields.
Fixed internationalization. Now it is at first tried to find a
text version which matches the user-supplied locale ID exactly,
then it is searched for a text version where the supplied locale
ID matches at least the language (First two characters), and as
last mean english text is shown.
2007-10-09 Till Kamppeter <till.kamppeter@gmail.com>
* lib/Foomatic/DB.pm: The PPD gnerator for CUPS did not list the
PPDs correctly on printer names containing a comma (Ubuntu bug
#150985).
2007-08-20 Till Kamppeter <till.kamppeter@gmail.com>
* lib/Foomatic/DB.pm: Let margins default to safer values (1/4
inch on the left and on the right, 1/2 inch at the top and the
bottom) if no margins are defined in the Foomatic database.
Before, the default margins were all zero.
Allow an empty model name in the search term for the
find_printer() function ("ricoh|"), This way one can also search
all printers from a given manufacturer, where the given
manufacturer name does not need to match exactly with the name
in the database.
Some improvements in cleaning the manufacturer names.
Improvements in the perltoxml() function.
2007-07-18 Till Kamppeter <till.kamppeter@gmail.com>
* README, foomatic-perl-data.c, lib/Foomatic/DB.pm: Added support
for suppressing page accounting on a per-driver basis. If a
driver XML file is marked with "<nopageaccounting/>" in its
"<execution>" section, the line "*FoomaticNoPageAccounting:
True" is added to the PPD file to let foomatic-rip suppress
inserting the page accounting code into the PostScript data
stream.
2007-07-11 Till Kamppeter <till.kamppeter@gmail.com>
* Makefile.in, README, README.build-foomatic-filters-ppds, USAGE,
configure.ac, foomatic-preferred-driver.in,
foomatic-printermap-to-gimp-print-xml.in,
foomatic-printermap-to-gutenprint-xml.in, debian/presubj,
lib/Foomatic/DB.pm: Replaced "Gimp-Print" by "Gutenprint".
2007-07-10 Till Kamppeter <till.kamppeter@gmail.com>
* lib/Foomatic/DB.pm: Allow group names preceeded by asterisks
('*') in PPD files ("*OpenGroup: ..."/"*CloseGroup: ..." lines).
This is needed by the PPD for the KONICA MINOLTA magicolor 5430
DL, provided by KONICA MINOLTA and probably also by several
other manufacturer-supplied PPD files.
2007-03-08 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-perl-data.c: Let the PPD files listed in the XML version
of the overview also get listed in the Perl version.
2007-03-04 Till Kamppeter <till.kamppeter@gmail.com>
* lib/Foomatic/DB.pm: Improved find_printer() method. Now
searches of make and model names do not consider other characters
than letters and numbers any more. All other characters are and
boundaries between letters and numbers are converted to single
spaces.
2007-03-03 Till Kamppeter <till.kamppeter@gmail.com>
* debian/control: "gimp-print" -> "gutenprint".
2007-02-28 Till Kamppeter <till.kamppeter@gmail.com>
* lib/Foomatic/DB.pm: Added new find_printer() method, to find
printer entries in the database based on IEEE-1284 device IDs
(from printer auto-detection), make/model, make, or model.
This is for a new search function on the site and also for
finding driver packages by printer setup tools.
* foomatic-searchprinter.in, configure.ac, Makefile.in: Added
simple tool to find printers in the locally installed
Foomatic database using the new find_printer() method.
2007-02-26 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-perl-data.c, lib/Foomatic/DB.pm: Let "<obsolete>" tags
in driver XML files be read and added to the Perl data structures
of driver entries, printer/driver combos, and the overview. Let
this info also be put into the PPDs and into the "DRV:" field
of the device IDs.
2007-02-24 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-perl-data.c: Let Perl data structure for driver XML
files also contain the printer-specific exceptions of the driver
functionality data.
2007-02-23 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-perl-data.c, lib/Foomatic/DB.pm: Allow specifying
manufacturer names along with the "<manufacturersupplied>" tag
in the driver XML file. In this case in the PPDs and in the PPD
lists the driver is only marked as supplied by the manufacturer
if the printer manufacturer's name matches one of the given
names. For example if a Brother printer is used with HPIJS, the
driver is not considered manufacturer-suppiled.
2007-02-22 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-combo-xml.c, foomatic-perl-data.c, lib/Foomatic/DB.pm:
Let new driver data fields go into the generated PPD files and
into the oberview output. To get this information into the PPD
lists of CUPS 1.2.x when using on-the-fly PPD generation added
a new "DRV:" field to the device ID which contains all the
driver functionality information.
2007-02-21 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-combo-xml.c, foomatic-perl-data.c: Added support for
new data fields in the driver XML files. These data fields
should describe the properties of the drivers in a better way to
guide the user to find the best driver for his personal needs
and also make printer setup tools clearly informing the user
before downloading and installing a driver which is not part of
the distribution.
2007-02-07 Till Kamppeter <till.kamppeter@gmail.com>
* Foomatic-Devel-Ideas.txt, README, debian/README.Debian,
debian/control, foomatic-filters-ppds-README, lib/Foomatic/DB.pm:
Replaced "FSG OpenPrinting" by "OpenPrinting".
2007-02-06 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-perl-data.c: Added support for more driver types:
CUPS Raster, IJS, and OpenPrinting Vector.
2007-01-06 Till Kamppeter <till.kamppeter@gmail.com>
* README, USAGE, README.build-foomatic-filters-ppds,
foomatic-addpjloptions.8.in, foomatic-combo-xml.1.in,
foomatic-compiledb.1.in, Foomatic-Devel-Ideas.txt,
foomatic-filters-ppds-README, foomatic-kitload.8.in,
foomatic-ppdfile.1.in, lib/Foomatic/DB.pm, debian/control,
debian/copyright, debian/foomatic-bin.README.Debian,
debian/README.Debian: Updated texts and links to have
"http://www.openprinting.org/" and "FSG OpenPrinting".
2007-01-04 Till Kamppeter <till.kamppeter@gmail.com>
* foomatic-ppdfile.1.in: Corrected mark-up in the man page for
foomatic-ppdfile (Thanks to Eric Raymond for his man page
verification bot).
2006-11-09 Till Kamppeter <till.kamppeter@gmx.net>
* foomatic-combo-xml.c, foomatic-ppdfile.in, lib/Foomatic/DB.pm:
Let the listing of auto-generatable PPD files for CUPS 1.2
("foomatic-ppdfile list") not contain entries for combos of
printers with driver entries with a ready-made PPD file, as
these PPD files are usually listed by CUPS directly.
2006-09-25 Till Kamppeter <till.kamppeter@gmx.net>
* Makefile.in: Added forgotten DESTDIR (upstream merge from Debian
......
......@@ -20,7 +20,7 @@ appropriate distro or driver. Bug fixes for old distros or drivers
which do not apply any more to the current state of Foomatic can be
commited to the appropriate CVS branch.
The web interface of linuxprinting.org could have buttons than where
The web interface of OpenPrinting could have buttons than where
one can choose the driver or distro version for which one wants to
have the Foomatic data.
......
......@@ -148,21 +148,21 @@ AC_OUTPUT_FILES:=Makefile makeDefaults makeMan \
foomatic-cleanupdrivers foomatic-getpjloptions \
foomatic-addpjloptions foomatic-compiledb foomatic-fix-xml \
foomatic-nonumericalids foomatic-replaceoldprinterids \
foomatic-ppd-options foomatic-printermap-to-gimp-print-xml \
foomatic-extract-text
foomatic-ppd-options foomatic-printermap-to-gutenprint-xml \
foomatic-extract-text foomatic-searchprinter
# User programs and helper programs
BINFILES:=foomatic-printjob foomatic-configure \
foomatic-combo-xml foomatic-perl-data \
foomatic-ppdfile foomatic-compiledb \
foomatic-ppd-options
foomatic-ppd-options foomatic-searchprinter
# Administrative commands, only useful for admins
SBINFILES:=foomatic-kitload \
foomatic-getpjloptions foomatic-addpjloptions \
foomatic-preferred-driver foomatic-fix-xml \
foomatic-nonumericalids foomatic-replaceoldprinterids \
foomatic-printermap-to-gimp-print-xml \
foomatic-printermap-to-gutenprint-xml \
foomatic-cleanupdrivers foomatic-extract-text
# Foomatic XML templates
......
......@@ -10,10 +10,9 @@ Foomatic's XML database. It also contains scripts to directly generate
print queues and handle jobs.
Grant Taylor <gtaylor@picante.com>
Till Kamppeter <till.kamppeter@gmx.net>
Till Kamppeter <till.kamppeter@gmail.com>
http://www.linuxprinting.org/
http://www.openprinting.org/
This README contains mainly info for developers. See the file USAGE if
you want to know how to use Foomatic.
......@@ -25,11 +24,18 @@ Copying
This package and also the other Foomatic packages needed to run this
are under the GPL. See http://www.gnu.org/.
If you spot a data error or any other bug, send mail describing the bug to
foomatic-devel@linuxprinting.org
General discussion happens in the foomatic-devel forum/list thing at
www.linuxprinting.org.
Bugs
----
If you spot a data error or any other bug, either post on the Foomatic
developer mailing list
http://lists.freestandards.org/mailman/listinfo/printing-foomatic
or post on the OpenPrinting site support forum
http://forums.openprinting.org/list.php?34
Intro
......@@ -37,26 +43,17 @@ Intro
This is the stable version of Foomatic. See
http://www.linuxprinting.org/contribute.html#programming
http://www.linuxprinting.org/pipermail/foomatic-devel/2002q3/thread.html
http://www.linuxprinting.org/pipermail/foomatic-devel/2002q4/thread.html
http://www.linuxprinting.org/kpfeifle/LinuxKongress2002/Tutorial/IV.Foomatic-Developer/IV.tutorial-handout-foomatic-development.html
http://www.freestandards.org/en/OpenPrinting/Database/HowToContribute#programming
to know more about its development.
Your suggestions, bug reports, patches, ... are welcome on
http://www.linuxprinting.org/newsportal/thread.php3?name=linuxprinting.foomatic.devel
This version is also the base of our web interface on
http://forums.openprinting.org/list.php?34
http://www.linuxprinting.org/
Old roadmap which lead to Foomatic 2.0:
http://www.linuxprinting.org/pipermail/foomatic-devel/2001q1/000073.html
This version implements the new foomatic-rip/PPD-based architecture.
This version is also the base of our database web interface on
http://www.openprinting.org/
New features for Foomatic 3.0.x
......@@ -189,8 +186,8 @@ Implemented in 3.0.0:
Very High Quality
Photo
For an Epson Stylus Color 680 with Gimp-Print it sets the options
resolution, ditherering, and image type as follows:
For an Epson Stylus Color 680 with Gutenprint it sets the options
resolution, dithering, and image type as follows:
Choice Resolution Dither ImageType
------------------------------------------------------------------
......@@ -299,8 +296,8 @@ Implemented in 3.0.0:
- Added a facility to chnage all the cryptic numerical printer IDs
from the old PostGreSQL time to clear-text printer IDs. With a
translation function it is assured that one can still use the old
IDs, for example to not break links to the linuxprinting.org web
site.
IDs, for example to not break links to the old linuxprinting.org
web site.
- The Foomatic database uses clear-text printer IDs for all printers
now.
......@@ -358,9 +355,9 @@ Implemented in 3.0.1:
- Compatibility fixes for IRIX and the *BSD operating systems.
- Script to update the "gimp-print" driver entry in the database
- Script to update the "gutenprint" driver entry in the database
using the src/foomatic/foomatic-printermap file of the source
tarball of Gimp-Print 4.2.x.
tarball of Gutenprint 5.0.x.
- perltoxml() Perl function in DB.pm to generate XML database entries
from PPD files (thanks to Tim Waugh from Red Hat).
......@@ -480,7 +477,7 @@ General features
having an on-disk cache is not necessary.
- The PPD files serve also for PPD-aware applications as Star Office,
Open Office, the GIMP (for printers not supported by Gimp-Print), GPR,
Open Office, the GIMP (for printers not supported by Gutenprint), GPR,
Windows/Mac clients using their PostScript driver (and the Linux/Unix
server using the Linux driver for the printer). They give access to
all the driver's options in the printing dialogs of said
......@@ -655,10 +652,10 @@ foomatic-addpjloptions
Instead of using "foomatic-configure" you can also generate the PPD file:
./foomatic-ppdfile -d lj5gray -p 62304 > lj4050.ppd
./foomatic-ppdfile -d lj5gray -p HP-LaserJet_4050 > lj4050.ppd
And set up the queue manually as described on
http://www.linuxprinting.org/
http://www.openprinting.org/
For CUPS you can for example do:
......@@ -671,7 +668,7 @@ foomatic-kitload
toplevel directory of a foomatic driver "kit". A "kit" is a
selection of XML source files arranged exactly as in the source/
section of the master database (ie, opt/ driver/ printer/ subdirs).
The gimp-print's foomatic-generator produces exactly such a kit.
The gutenprint's foomatic-generator produces exactly such a kit.
Foomatic-kitload is moderately paranoid about kits: the kit must
contain at least one of printer/ driver/ and opt/; the kit must
......@@ -962,7 +959,7 @@ get_summarydocs
Grant also probably broke it in the xml rewrite. Till has
rewritten getexecdocs to produce documentation for a given printer
driver pair, it provides the data presented on the "Execution Details"
pages of linuxprinting.org.
pages of OpenPrinting.
get_libdir
......@@ -983,9 +980,9 @@ to its components get auto-detected during the build of this package.
Composite options are introduced in "foomatic-db" from December 17,
2002 ("20021217") or newer, "foomatic-db-hpijs" 1.3-2 or newer, and
Gimp-Print 4.2.5 or newer. "foomatic-filters" 2.9.1 or newer is needed
for using them. Nested composite options are supported and introduced
on August 1, 2003.
Gimp-Print (now Gutenprint) 4.2.5 or newer. "foomatic-filters" 2.9.1
or newer is needed for using them. Nested composite options are
supported and introduced on August 1, 2003.
"wget" (from www.gnu.org) is really a standard tool which nearly every
distribution includes.
......@@ -1029,7 +1026,7 @@ source/opt/2.xml
# Every option exists independently from printers or drivers, because
# they might apply to arbitrary combinations of printers and/or
# drivers. In practice, some drivers have wholly unique options
# (gimp-print/stp, for example), while others (lots of generic basic
# (gutenprint for example), while others (lots of generic basic
# Ghostscript drivers, for example) share some options.
<option type="enum" id="opt/2">
......@@ -1336,7 +1333,7 @@ printer/HP-LaserJet_4000.xml
# Printer types can be <laser />, <led />, <inkjet />, <dotmatrix />,
# <impact />, <sublimation />, <transfer />. Other types we have to
# add to the CGI script on linuxprinting.org to make the web interface
# add to the CGI script on OpenPrinting to make the web interface
# displaying them properly.
<laser/>
......@@ -1668,6 +1665,16 @@ things, but the two biggies are the prototype and the printers list
# this kind of options does not make sense. Such driver are for
# example "hpijs" and "hl1250".
# And the driver's <execution> section can also contain a
#
# <nopageaccounting/>
#
# This suppresses the inserting of page accounting code (for CUPS)
# into the PostScript data stream. Some drivers lead to unexpected
# behavior with that. Especially for the generic PostScript driver
# (which does not use Ghostscript in most cases) the accounting code
# should not be inserted.
# The prototype defines what command the backends run to drive this
# printer. It must take postscript on stdin and generate "printer
# stuff" on stdout. Various %A, %B, etc substitution "spots" are
......@@ -2568,7 +2575,7 @@ put into the "*1284DeviceID:" field.
*PPD-Adobe: "4.3"
*%
*% For information on using this, and to obtain the required backend
*% script, consult http://www.linuxprinting.org/
*% script, consult http://www.openprinting.org/
*%
*% This file is published under the GNU General Public License
*%
......@@ -3506,6 +3513,10 @@ Foomatic keywords
<code>: The command line prototype, with spots to insert option
settings ("%A", "%B", ...).
*FoomaticNoPageAccounting: <boolean value>
<value>: If True, no accounting code will be inserted into the
PostScript data stream.
*FoomaticRIPOption <name>: <type> <style> <spot> [<order>]
<name>: Option name; <type>: enum, bool, int, float;
<style>: CmdLine, JCL, PS, Composite;
......
......@@ -4,9 +4,9 @@ Building the foomatic-filters-ppds package
The foomatic-filters-ppds package is a simple way to use Foomatic
Till Kamppeter <till.kamppeter@gmx.net>
Till Kamppeter <till.kamppeter@gmail.com>
http://www.linuxprinting.org/
http://www.openprinting.org/
Introduction
......@@ -33,14 +33,9 @@ To include support for HPIJS
foomatic-db-hpijs
To include support for Gimp-Print
To include support for Gutenprint
Gimp-Print from http://gimp-print.sf.net/
To include support for Omni
Omni from
http://www-124.ibm.com/developerworks/oss/linux/projects/omni/
Gutenprint from http://gutenprint.sf.net/
How to build
......@@ -77,20 +72,12 @@ cd ../foomatic-db-engine*
./foomatic-kitload -f -k ../foomatic-db-hoijs*/db/source/
cd ..
Add support for Gimp-Print (optional, <...> is the Gimp-Print source
Add support for Gutenprint (optional, <...> is the Gutenprint source
code directory):
cd foomatic-db-engine*
./foomatic-kitload -f -k <...>/src/foomatic/foomatic-db/gimp-print
./foomatic-kitload -f -k <...>/src/foomatic/foomatic-db/gimp-print-ijs
cd ..
Add support for Omni (optional):
cd foomatic-db-engine*
export PATH=$PATH:/opt/Omni/bin
/opt/Omni/bin/OmniFoomaticGenerator
./foomatic-kitload -k foomatic-db/db/source
./foomatic-kitload -f -k <...>/src/foomatic/foomatic-db/gutenprint
./foomatic-kitload -f -k <...>/src/foomatic/foomatic-db/gutenprint-ijs
cd ..
Exclude unwished drivers or printers from being packaged by deleting
......
......@@ -10,9 +10,8 @@ Foomatic's XML database. It also contains scripts to directly generate
print queues and handle jobs.
Grant Taylor <gtaylor@picante.com>
Till Kamppeter <till.kamppeter@gmx.net>
http://www.linuxprinting.org/
Till Kamppeter <till.kamppeter@gmail.com>
http://www.openprinting.org/
This usage documentation file is written by Till Kamppeter
......@@ -457,9 +456,9 @@ queue: "dj"), the line has to be:
-p HP-DeskJet_840C -d cdj880 -o PageSize=A4
If you have an HP LaserJet 4050, which is a PostScript printer, you
can get its PPD file from its Windows driver CD, http://hp.sf.net/,
or http://www.linuxprinting.org/download/PPD/. After downloading it
you can set up a queue as follows:
can get its PPD file from its Windows driver CD, http://hplip.sf.net/,
or http://www.openprinting.org/. After downloading it you can set up a
queue as follows:
foomatic-configure -s pdq -n LJ4050 -c socket://printer:9100
--ppd HP_LaserJet_4050_Series.ppd -o PageSize=A4
......@@ -469,7 +468,7 @@ non-PPD-aware spoolers (as PDQ in this example). Compressed PPD files
("file.ppd.gz") are also allowed here.
In this example we set up an Epson Stylus Photo 1290 with the CUPS
driver of Gimp-Print, but with PDQ as the spooler:
driver of Gutenprint, but with PDQ as the spooler:
foomatic-configure -s pdq -n Eps1290 -c usb:/dev/usb/lp0
--ppd escp2-1290.ppd -o PageSize=A4
......@@ -638,7 +637,7 @@ You can get Foomatic PPD files for manual queue setup. Use
to get information about how to get the PPD files and follow the
links on
http://www.linuxprinting.org/foomatic.html
http://www.openprinting.org/foomatic.html
to know how to set up a queue with these PPD files.
......@@ -1224,13 +1223,13 @@ OpenOffice.org and Star Office.
The GIMP (http://www.gimp.org/)
The GIMP uses the Gimp-Print plug-in
(http://gimp-print.sourceforge.net/) to print. If it is installed you
The GIMP uses the Gutenprint plug-in
(http://gutenprint.sourceforge.net/) to print. If it is installed you
can click into the window with your image using the right mouse button
and then choose "File" and "Print". In the printing dialog choose your
printer queue (if it is not listed, click "New Printer ..." to create
a list entry) and click on "Setup Printer ...". If your printer is
listed, it is supported by Gimp-Print and you do not need a PPD file
listed, it is supported by Gutenprint and you do not need a PPD file
for using it with GIMP. If it is not listed, choose "PostScript Level
2". Then an input field for a PPD file will appear. Enter the path and
name under which your PPD file is located (foomatic-configure puts it
......@@ -1252,7 +1251,7 @@ printer driver (best from http://www.adobe.com/, but for certain
Windows versions also from http://www.cups.org/) and the PPD file
(/etc/foomatic/<spooler>/<printer queue name>.ppd) assigned to the
queue. Then you don't need to install the Windows driver for your
printer. On Epson inkjets driven by the current version of Gimp-Print
printer. On Epson inkjets driven by the current version of Gutenprint
you could even obtain a better printout quality than with the Windows
driver. You can also do things as installing filters which parse the
PostScript and count the pages on your server which is not possible
......
......@@ -907,7 +907,7 @@ esac
else
echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
fi
cd $ac_popdir
cd "$ac_popdir"
done
fi
......@@ -1838,8 +1838,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -1897,8 +1896,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -2014,8 +2012,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -2069,8 +2066,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -2115,8 +2111,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -2160,8 +2155,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -2481,8 +2475,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -2554,8 +2547,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -2609,8 +2601,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -2681,8 +2672,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -2736,8 +2726,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -3054,8 +3043,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -3263,8 +3251,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -3374,8 +3361,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
......@@ -6311,7 +6297,7 @@ done
test -n "$LOCAL_FOOMATIC_RIP" || LOCAL_FOOMATIC_RIP="../foomatic-filters/foomatic-rip"
ac_config_files="$ac_config_files Makefile makeDefaults makeMan foomatic-configure foomatic-printjob foomatic-kitload foomatic-ppdfile foomatic-preferred-driver foomatic-cleanupdrivers foomatic-getpjloptions foomatic-addpjloptions foomatic-compiledb foomatic-fix-xml foomatic-nonumericalids foomatic-replaceoldprinterids foomatic-ppd-options foomatic-printermap-to-gimp-print-xml foomatic-extract-text"
ac_config_files="$ac_config_files Makefile makeDefaults makeMan foomatic-configure foomatic-printjob foomatic-kitload foomatic-ppdfile foomatic-preferred-driver foomatic-cleanupdrivers foomatic-getpjloptions foomatic-addpjloptions foomatic-compiledb foomatic-fix-xml foomatic-nonumericalids foomatic-replaceoldprinterids foomatic-ppd-options foomatic-printermap-to-gutenprint-xml foomatic-extract-text foomatic-searchprinter"
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
......@@ -6879,8 +6865,9 @@ do
"foomatic-nonumericalids" ) CONFIG_FILES="$CONFIG_FILES foomatic-nonumericalids" ;;
"foomatic-replaceoldprinterids" ) CONFIG_FILES="$CONFIG_FILES foomatic-replaceoldprinterids" ;;
"foomatic-ppd-options" ) CONFIG_FILES="$CONFIG_FILES foomatic-ppd-options" ;;
"foomatic-printermap-to-gimp-print-xml" ) CONFIG_FILES="$CONFIG_FILES foomatic-printermap-to-gimp-print-xml" ;;
"foomatic-printermap-to-gutenprint-xml" ) CONFIG_FILES="$CONFIG_FILES foomatic-printermap-to-gutenprint-xml" ;;
"foomatic-extract-text" ) CONFIG_FILES="$CONFIG_FILES foomatic-extract-text" ;;
"foomatic-searchprinter" ) CONFIG_FILES="$CONFIG_FILES foomatic-searchprinter" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
......@@ -7217,11 +7204,6 @@ esac
*) ac_INSTALL=$ac_top_builddir$INSTALL ;;
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
......@@ -7260,6 +7242,12 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
fi;;
esac
done` || { (exit 1); exit 1; }
if test x"$ac_file" != x-; then
{ echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF
sed "$ac_vpsub
......
......@@ -297,8 +297,8 @@ foomatic-ppdfile foomatic-preferred-driver foomatic-cleanupdrivers
foomatic-getpjloptions foomatic-addpjloptions
foomatic-compiledb foomatic-fix-xml
foomatic-nonumericalids foomatic-replaceoldprinterids
foomatic-ppd-options foomatic-printermap-to-gimp-print-xml
foomatic-extract-text
foomatic-ppd-options foomatic-printermap-to-gutenprint-xml
foomatic-extract-text foomatic-searchprinter
)
dnl Finished
......
foomatic-db-engine for Debian
-----------------------------
Note that the structure of the LinuxPrinting.org (foomatic) printer
Note that the structure of the OpenPrinting (foomatic) printer
configuration system in Debian (and upstream) has changed from the 2.0
series. There are now 3 core packages:
series. There are 3 core packages:
* foomatic-db: Contains the foomatic printer database.
......@@ -14,7 +14,7 @@ series. There are now 3 core packages:
In addition, the new foomatic-db-hpijs package includes the database
entries for printers supported by the HPIJS print filter developed by
Hewlett-Packard for its consumer inkjet line of printers.
Hewlett-Packard for their non-PostScript printers.